Đến nội dung


Hình ảnh

ghi chữ có hinh chữ nhật bao quanh


  • Please log in to reply
9 replies to this topic

#1 mrluong

mrluong

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 14 May 2009 - 08:41 AM

xin chào mọi người trong diễn đàn .có ai biết dùng lệnh gì mà ghi được chữ nằm trong hình chữ nhật luôn không .em muốn ghi cao ở trên mặt bằng
  • 0

#2 Kha_Anh_Tu

Kha_Anh_Tu

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 332 Bài viết
Điểm đánh giá: 132 (tàm tạm)

Đã gửi 14 May 2009 - 09:33 AM

xin chào mọi người trong diễn đàn .có ai biết dùng lệnh gì mà ghi được chữ nằm trong hình chữ nhật luôn không .em muốn ghi cao ở trên mặt bằng

bạn nói rõ được không? đánh tẽt nằm trong hình chữ nhật hay sao?Dùng lệnh T thử xem có đúng ý bạn không nha
  • 1
Không có người phụ nữ nào xấu

Chỉ có người phụ nữ hẻm bít mình xấu thôi....ka ka ka


Mưa rơi ướt áo ướt quần
Làm sao ướt được tinh thần dân chơi..
Mưa rơi thì mặc mưa rơi
Mưa rơi lớn quá dân chơi đi về.....
(^o^)
Hình đã gửi Hình đã gửi

#3 kanjichan

kanjichan

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 14 May 2009 - 09:57 AM

xin chào mọi người trong diễn đàn .có ai biết dùng lệnh gì mà ghi được chữ nằm trong hình chữ nhật luôn không .em muốn ghi cao ở trên mặt bằng

bạn vào Dimension>torenance>nhập vào text thế là xong.
  • 2

#4 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 426 (tốt)

Đã gửi 19 May 2009 - 03:24 PM

xin chào mọi người trong diễn đàn .có ai biết dùng lệnh gì mà ghi được chữ nằm trong hình chữ nhật luôn không .em muốn ghi cao ở trên mặt bằng

Bạn có thể vào Menu Express - Text để thực hiện
  • 0

#5 Kiến Lửa

Kiến Lửa

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 May 2009 - 04:29 PM

xin chào mọi người trong diễn đàn .có ai biết dùng lệnh gì mà ghi được chữ nằm trong hình chữ nhật luôn không .em muốn ghi cao ở trên mặt bằng

Dùng lệnh TEXTMASK
  • 0

#6 lephanhuy

lephanhuy

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 14 August 2009 - 09:49 AM

xin chào mọi người trong diễn đàn .có ai biết dùng lệnh gì mà ghi được chữ nằm trong hình chữ nhật luôn không .em muốn ghi cao ở trên mặt bằng

Bạn dùng lệnh DT đi. Hi vọng như mong đợi của bạn!
  • 0

#7 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 452 (tốt)

Đã gửi 14 August 2009 - 03:18 PM

xin chào mọi người trong diễn đàn .có ai biết dùng lệnh gì mà ghi được chữ nằm trong hình chữ nhật luôn không .em muốn ghi cao ở trên mặt bằng

bạn dùng lít này nhé lệnh là TB
(defun C:TB (/ E1 ED EN PT1 PT2 PT3 PT4 PT1A
ANG1 ANG2 ITEMS OFFSET i LENGTH LENGTH1
OLDCOLR OLDLAY OLDLT)
(SETVAR "CMDECHO" 0)
(COMMAND "UNDO" "MARK") ;UNDO MARKER
;(SETQ OLDCOLR (GETVAR "CECOLOR"))
;(SETQ OLDLAY (GETVAR "CLAYER"))
;(COMMAND "LAYER" "S" "0" "")
;;(COMMAND "COLOR" "7" "")
(SETQ OLDLT (GETVAR "CELTYPE"))
(COMMAND "LINETYPE" "S" "CONTINUOUS" "")
(PROMPT "\n \nDRAW BASIC DIMENSION TYPE BOX AROUND TEXT ITEMS : ")
(SETQ ITEMS (SSGET)); SELECT ITEMS
(SETQ i (SSLENGTH ITEMS));COUNTER
(WHILE (> i 0) ;WHILE ITEMS ARE LEFT
(SETQ i (1- i)) ;DECREMENT COUNTER
(SETQ EN (SSNAME ITEMS i));GET NAME
(SETQ ED (ENTGET EN)) ;GET ENTITY INFO
(IF (= "TEXT" (CDR (ASSOC 0 ED)))
(PROGN ;IF ENTITY IS TEXT
(SETQ E1 ED) ;SAVE A COPY
(SETQ OFFSET (/ (CDR (ASSOC 40 ED)) 2))
(SETQ ED (SUBST (CONS 72 2) (ASSOC 72 ED) ED));MAKE TEXT RIGHT JUSTIFIED
(ENTMOD ED)
(SETQ ED (ENTGET EN));UPDATE ENTITY DETAILS
(SETQ PT1 (CDR (ASSOC 10 ED))) ;LEFT ENDPOINT OF MODIFIED TEXT
(SETQ PT2 (CDR (ASSOC 11 ED))) ;RIGHT ENDPOINT OF MODIFIED TEXT
(SETQ LENGTH (DISTANCE PT1 PT2));CALCULATE LENGTH OF STRING
(SETQ ED E1) ;RESTORE ORIGINAL JUSTIFICATION
(ENTMOD ED)
(SETQ PT1A (CDR (ASSOC 10 ED))) ;LOWER LEFT CORNER ORIGINAL STRING
(SETQ ANG1 (CDR (ASSOC 50 ED)));RETRIEVE ANGLE OF TEXT
(SETQ ANG2 (+ ANG1 (/ pi 2))) ;SET PERPENDICULAR ANGLE
(SETQ PT1B (POLAR PT1A (+ ANG1 pi ) OFFSET));OFFSET FROM TEXT END
(SETQ PT1 (POLAR PT1B (+ ANG2 pi) OFFSET)) ;OFFSET FROM BTM OF TEXT
(SETQ PT2 (POLAR PT1 ANG1 (+ LENGTH (* 2 OFFSET))))
;CALC LOWER RIGHT CORNER OF BOX
(SETQ LENGTH1 (+ (CDR (ASSOC 40 ED)) (* 2 OFFSET)))
;LENGTH OF BOX PERP TO TEXT
(SETQ PT3 (POLAR PT2 ANG2 LENGTH1));CALC UPPER RIGHT CORNER OF BOX
(SETQ PT4 (POLAR PT1 ANG2 LENGTH1));CALC UPPER LEFT CORNAR OF BOX
(COMMAND "PLINE" PT1 PT2 PT3 PT4 "C");DRAW LINE AROUND TEXT
) ;END PROGN
(PROMPT "\nTHIS IS NOT A TEXT ITEM ! ! ")
) ;END IF NOT A TEXT ITEM
) ;END WHILE MORE ITEMS

(SETVAR "HIGHLIGHT" 1)
;(COMMAND "LAYER" "S" OLDLAY "")
;(COMMAND "COLOR" (READ OLDCOLR))
(COMMAND "LINETYPE" "S" OLDLT "")
(SETVAR "CMDECHO" 1)
(PRIN1)
) ;BOXTXT

  • 0
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!

#8 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 August 2009 - 03:49 PM

bạn dùng lít này nhé lệnh là TB

Chào oizdoi_oi
Bạn nên bổ sung vào Code mã lệnh tắt chế độ bắt điểm đi
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
......
......
(setvar "osmode" oldos)

Nếu bạn không tắt chế độ bắt điểm đi thì với bản vẽ có nhiều đối tượng thì các khung trở nên :bigsmile:

TB : Lisp chứ không phải lít
  • 0

#9 mrluong

mrluong

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 17 August 2009 - 08:33 PM

CÁM ƠN CÁC BÁC NHIỀU ,
  • 0

#10 huntercx2

huntercx2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2016 - 01:54 PM

bạn dùng lít này nhé lệnh là TB

(defun C:TB (/ E1 ED EN PT1 PT2 PT3 PT4 PT1A
				   ANG1 ANG2 ITEMS OFFSET i LENGTH LENGTH1
				   OLDCOLR OLDLAY OLDLT)
(SETVAR "CMDECHO" 0)
(COMMAND "UNDO" "MARK") ;UNDO MARKER
;(SETQ OLDCOLR (GETVAR "CECOLOR"))
;(SETQ OLDLAY (GETVAR "CLAYER"))
;(COMMAND "LAYER" "S" "0" "")
;;(COMMAND "COLOR" "7" "")
(SETQ OLDLT (GETVAR "CELTYPE"))
(COMMAND "LINETYPE" "S" "CONTINUOUS" "")
(PROMPT "\n \nDRAW BASIC DIMENSION TYPE BOX AROUND TEXT ITEMS : ")
(SETQ ITEMS (SSGET)); SELECT ITEMS
(SETQ i (SSLENGTH ITEMS));COUNTER
(WHILE (> i 0) ;WHILE ITEMS ARE LEFT
   (SETQ i (1- i))  ;DECREMENT COUNTER
   (SETQ EN (SSNAME ITEMS i));GET NAME
   (SETQ ED (ENTGET EN))	 ;GET ENTITY INFO
   (IF (= "TEXT" (CDR (ASSOC 0 ED)))
	  (PROGN				 ;IF ENTITY IS TEXT
		 (SETQ E1 ED)		;SAVE A COPY
		 (SETQ OFFSET (/ (CDR (ASSOC 40 ED)) 2))
		 (SETQ ED (SUBST (CONS 72 2) (ASSOC 72 ED) ED));MAKE TEXT RIGHT JUSTIFIED
		 (ENTMOD ED)
		 (SETQ ED (ENTGET EN));UPDATE ENTITY DETAILS
		 (SETQ PT1 (CDR (ASSOC 10 ED))) ;LEFT ENDPOINT OF MODIFIED TEXT
		 (SETQ PT2 (CDR (ASSOC 11 ED))) ;RIGHT ENDPOINT OF MODIFIED TEXT
		 (SETQ LENGTH (DISTANCE PT1 PT2));CALCULATE LENGTH OF STRING
		 (SETQ ED E1)				   ;RESTORE ORIGINAL JUSTIFICATION
		 (ENTMOD ED)
		 (SETQ PT1A (CDR (ASSOC 10 ED))) ;LOWER LEFT CORNER ORIGINAL STRING
		 (SETQ ANG1 (CDR (ASSOC 50 ED)));RETRIEVE ANGLE OF TEXT
		 (SETQ ANG2 (+ ANG1 (/ pi 2)))  ;SET PERPENDICULAR ANGLE
		 (SETQ PT1B (POLAR PT1A (+ ANG1 pi ) OFFSET));OFFSET FROM TEXT END
		 (SETQ PT1 (POLAR PT1B (+ ANG2 pi) OFFSET)) ;OFFSET FROM BTM OF TEXT
		 (SETQ  PT2  (POLAR  PT1  ANG1 (+ LENGTH (* 2 OFFSET))))
										;CALC LOWER RIGHT CORNER OF BOX
		 (SETQ LENGTH1 (+ (CDR (ASSOC 40 ED)) (* 2 OFFSET)))
										;LENGTH OF BOX PERP TO TEXT
		 (SETQ PT3 (POLAR PT2 ANG2 LENGTH1));CALC UPPER RIGHT CORNER OF BOX
		 (SETQ PT4 (POLAR PT1 ANG2 LENGTH1));CALC UPPER LEFT CORNAR OF BOX
		 (COMMAND "PLINE" PT1 PT2 PT3 PT4 "C");DRAW LINE AROUND TEXT
	  ) ;END PROGN
	  (PROMPT "\nTHIS IS NOT A TEXT ITEM ! ! ")
   )	;END IF NOT A TEXT ITEM
)	   ;END WHILE MORE ITEMS

   (SETVAR "HIGHLIGHT" 1)
  ;(COMMAND "LAYER" "S" OLDLAY "")
  ;(COMMAND "COLOR" (READ OLDCOLR))
   (COMMAND "LINETYPE" "S" OLDLT "")
   (SETVAR "CMDECHO" 1)
   (PRIN1)
)	   ;BOXTXT

lisp này dùng như thế nào vậy bạn? bạn có thể chỉ rõ hơn được không? mình cảm ơn!


  • 0